Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QAbstractFactory

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.core.QAbstractFactory

All Implemented Interfaces:
  QAbstractFactoryInterface, QtJambiInterface

    public abstract class QAbstractFactory

extends QtJambiObject
implements QAbstractFactoryInterface

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QtJambiObject
`QtJambiObject.QPrivateConstructor`

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`` | `QAbstractFactory()` Creates a new QAbstractFactory
`protected` | `QAbstractFactory(QtJambiObject.QPrivateConstructor p)` This method is internal to Qt Jambi.

Method Summary
`long` | `__qt_cast_to_QAbstractFactory(long ptr)` This method is internal to Qt Jambi.
`static QAbstractFactory` | `fromNativePointer(QNativePointer nativePointer)` This method returns the QAbstractFactory instance pointed to by `nativePointer`.
`abstract java.util.List<java.lang.String>` | `keys()` Returns the list of keys this abstract factory supports.

Methods inherited from class com.trolltech.qt.QtJambiObject
`disableGarbageCollection, dispose, disposed, equals, finalize, nativeId, nativePointer, reassignNativeResources, reenableGarbageCollection, setJavaOwnership, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`__qt_signalInitialization, blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QAbstractFactory

    public QAbstractFactory()

  Creates a new QAbstractFactory

### QAbstractFactory

    protected QAbstractFactory(QtJambiObject.QPrivateConstructor p)

  This method is internal to Qt Jambi.

Method Detail

### keys

    public abstract java.util.List<java.lang.String> keys()

  Returns the list of keys this abstract factory supports. Each key represents an object the factory can produce.

  Specified by:
    `keys` in interface `QAbstractFactoryInterface`

### fromNativePointer

    public static QAbstractFactory fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractFactory instance pointed to by `nativePointer`.

### __qt_cast_to_QAbstractFactory

    public long __qt_cast_to_QAbstractFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractFactory` in interface `QAbstractFactoryInterface`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

in com.trolltech.qt.core">QAbstractFactory fromNativePointer(QNativePointer nativePointer)

  This method returns the QAbstractFactory instance pointed to by `nativePointer`.

### __qt_cast_to_QAbstractFactory

    public long __qt_cast_to_QAbstractFactory(long ptr)

  This method is internal to Qt Jambi.

  Specified by:
    `__qt_cast_to_QAbstractFactory` in interface `QAbstractFactoryInterface`